ApiYarnApplicationResponse (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiYarnApplicationResponse

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiYarnApplicationResponse

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiYarnApplicationResponse
      extends Object

  The response contains a list of applications and warnings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiYarnApplicationResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiYarnApplicationResponse` | `addApplicationsItem(ApiYarnApplication applicationsItem)`
    `ApiYarnApplicationResponse` | `addWarningsItem(String warningsItem)`
    `ApiYarnApplicationResponse` | `applications(List<ApiYarnApplication> applications)`
    `boolean` | `equals(Object o)`
    `List<ApiYarnApplication>` | `getApplications()` The list of applications for this response.
    `List<String>` | `getWarnings()` This list of warnings for this response.
    `int` | `hashCode()`
    `void` | `setApplications(List<ApiYarnApplication> applications)`
    `void` | `setWarnings(List<String> warnings)`
    `String` | `toString()`
    `ApiYarnApplicationResponse` | `warnings(List<String> warnings)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiYarnApplicationResponse

          public ApiYarnApplicationResponse()

  - ### Method Detail

    - #### applications

          public ApiYarnApplicationResponse applications(List<ApiYarnApplication> applications)

    - #### addApplicationsItem

          public ApiYarnApplicationResponse addApplicationsItem(ApiYarnApplication applicationsItem)

    - #### getApplications

          public List<ApiYarnApplication> getApplications()

      The list of applications for this response.
      Returns:
        applications

    - #### setApplications

          public void setApplications(List<ApiYarnApplication> applications)

    - #### warnings

          public ApiYarnApplicationResponse warnings(List<String> warnings)

    - #### addWarningsItem

          public ApiYarnApplicationResponse addWarningsItem(String warningsItem)

    - #### getWarnings

          public List<String> getWarnings()

      This list of warnings for this response.
      Returns:
        warnings

    - #### setWarnings

          public void setWarnings(List<String> warnings)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.